date_date_set
date_default_timezone_set
Date/Time Functions
PHP Manual

# date_default_timezone_get

(PHP 5 >= 5.1.0)

date_default_timezone_get — Gets the default timezone used by all date/time functions in a script

### Description

string date_default_timezone_get ( void )

In order of preference, this function returns the default timezone by:

- Reading the timezone set using the date_default_timezone_set() function (if any)

- Reading the TZ environment variable (if non empty)

- Reading the value of the date.timezone ini option (if set)

- Querying the host operating system (if supported and allowed by the OS)

If none of the above succeed, date_default_timezone_get will return a default timezone of UTC.

### Return Values

Returns a string.

### See Also

- date_default_timezone_set()

date_date_set
date_default_timezone_set
Date/Time Functions
PHP Manual